### Method

# Adw SpringAnimationget_estimated_duration

#### Declaration [src]

    guint
    adw_spring_animation_get_estimated_duration (
      AdwSpringAnimation* self
    )

#### Description [src]

Gets the estimated duration of `self`, in milliseconds.

Can be `ADW_DURATION_INFINITE` if the spring damping is set to 0.

Gets property | `Adw.SpringAnimation:estimated-duration`

#### Return value

Type: `guint`

The estimated duration.